LotusParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
LotusParserInternal::State Struct Reference

the state of LotusParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, char const *password)
| constructor
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding *‍/
void | getLevels (WPSVec3i &minC, WPSVec3i &maxC) const
| returns the min and max cell
std::map< int, int > | getDataZoneIdToSheetIdMap () const
| returns a map dataZoneId to sheet final id
std::string | getLevelsDebugName () const
| returns a name corresponding to the actual level(for debugging)
std::string | getZone1StackDebugName () const
| returns a name corresponding to the zone1 stack(for debugging)

## Public Attributes
libwps_tools_win::Font::Type | m_fontType
| the user font type
int | m_version
| the file version
bool | m_isMacFile
| flag to know if this is a mac file
bool | m_inMainContentBlock
| a flag used to know if we are in the main block or no
std::map< int, Font > | m_fontsMap
| the fonts map
WPSPageSpan | m_pageSpan
| the actual document size
int | m_maxSheet
| the last sheet number
int | m_actualZoneId
| the actual zone id
int | m_actualZoneParentId
| the actual zone parent id
std::vector< int > | m_sheetZoneIdList
| the list of sheet main zone id
std::map< int, int > | m_dataZoneIdToSheetZoneIdMap
| a map to retrieve the sheet zone id from the data sheet zone id
std::multimap< int, LotusParser::Link > | m_linkIdToLinkMap
| a multimap link id to link zone
std::vector< Vec2i > | m_actualLevels
| the actual zone: (0,0), table list, col list, row list
std::vector< unsigned long > | m_zone1Stack
| a unknown Zone1 stack of increasing(?) numbers
std::vector< bool > | m_sheetSubZoneOpened
| some sheet sub zones (SheetZone)
int | m_actPage
| the actual page
int | m_numPages
librevenge::RVNGPropertyList | m_metaData
| the metadata
char const * | m_password
| the password (if known)
bool | m_isEncrypted
| true if the file is encrypted
bool | m_isDecoded
| true if the main stream has been decoded

## Private Member Functions
| State (State const &)=delete
State | operator= (State const &)=delete

## Detailed Description

the state of LotusParser

## Constructor & Destructor Documentation

## ◆ State() [1/2]

LotusParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | char const * | password
| ) |  |
| inline

constructor

## ◆ State() [2/2]

LotusParserInternal::State::State | ( | State const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ getDataZoneIdToSheetIdMap()

std::map< int, int > LotusParserInternal::State::getDataZoneIdToSheetIdMap | ( |  | ) | const
| inline

returns a map dataZoneId to sheet final id

## ◆ getDefaultFont()

WPSFont LotusParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding *‍/

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type LotusParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## ◆ getLevels()

void LotusParserInternal::State::getLevels | ( | WPSVec3i & | minC,
|  | WPSVec3i & | maxC
| ) |  | const
| inline

returns the min and max cell

## ◆ getLevelsDebugName()

std::string LotusParserInternal::State::getLevelsDebugName | ( |  | ) | const
| inline

returns a name corresponding to the actual level(for debugging)

## ◆ getZone1StackDebugName()

std::string LotusParserInternal::State::getZone1StackDebugName | ( |  | ) | const
| inline

returns a name corresponding to the zone1 stack(for debugging)

## ◆ operator=()

State LotusParserInternal::State::operator= | ( | State const & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_actPage

int LotusParserInternal::State::m_actPage

the actual page

## ◆ m_actualLevels

std::vector<Vec2i> LotusParserInternal::State::m_actualLevels

the actual zone: (0,0), table list, col list, row list

## ◆ m_actualZoneId

int LotusParserInternal::State::m_actualZoneId

the actual zone id

## ◆ m_actualZoneParentId

int LotusParserInternal::State::m_actualZoneParentId

the actual zone parent id

## ◆ m_dataZoneIdToSheetZoneIdMap

std::map<int,int> LotusParserInternal::State::m_dataZoneIdToSheetZoneIdMap

a map to retrieve the sheet zone id from the data sheet zone id

## ◆ m_fontsMap

std::map<int, Font> LotusParserInternal::State::m_fontsMap

the fonts map

## ◆ m_fontType

libwps_tools_win::Font::Type LotusParserInternal::State::m_fontType

the user font type

## ◆ m_inMainContentBlock

bool LotusParserInternal::State::m_inMainContentBlock

a flag used to know if we are in the main block or no

## ◆ m_isDecoded

bool LotusParserInternal::State::m_isDecoded

true if the main stream has been decoded

## ◆ m_isEncrypted

bool LotusParserInternal::State::m_isEncrypted

true if the file is encrypted

## ◆ m_isMacFile

bool LotusParserInternal::State::m_isMacFile

flag to know if this is a mac file

## ◆ m_linkIdToLinkMap

std::multimap<int, LotusParser::Link> LotusParserInternal::State::m_linkIdToLinkMap

a multimap link id to link zone

## ◆ m_maxSheet

int LotusParserInternal::State::m_maxSheet

the last sheet number

## ◆ m_metaData

librevenge::RVNGPropertyList LotusParserInternal::State::m_metaData

the metadata

## ◆ m_numPages

int LotusParserInternal::State::m_numPages

## ◆ m_pageSpan

WPSPageSpan LotusParserInternal::State::m_pageSpan

the actual document size

## ◆ m_password

char const* LotusParserInternal::State::m_password

the password (if known)

## ◆ m_sheetSubZoneOpened

std::vector<bool> LotusParserInternal::State::m_sheetSubZoneOpened

some sheet sub zones (SheetZone)

## ◆ m_sheetZoneIdList

std::vector<int> LotusParserInternal::State::m_sheetZoneIdList

the list of sheet main zone id

## ◆ m_version

int LotusParserInternal::State::m_version

the file version

## ◆ m_zone1Stack

std::vector<unsigned long> LotusParserInternal::State::m_zone1Stack

a unknown Zone1 stack of increasing(?) numbers

The documentation for this struct was generated from the following file:

- Lotus.cpp